package cn.wise.sc.consume.business.entity.cmbnoenet.model;

/**
 * @description: 招行一卡通请求地址 维护对象
 * @author: qh
 * @create: 2020-04-09 15:20
 */
public class CMBOneNetRequestUrl {

	//http://121.15.180.84/
	//https://gtb.cmbchina.com/

  /** FMORDSUB 订单数据提交 */
  public static final String ORDERINFO_URL = "https://gtb.cmbchina.com/CmbBank_GTB/API/orderinfo";

  /** 获取Api访问令牌的接口 */
  public static final String APPLYINFO_URL = "https://gtb.cmbchina.com/CmbBank_GTB/API/applyinfo";

  /** 续费Api访问令牌的接口 */
  public static final String RENEWINFO_URL = "https://gtb.cmbchina.com/CmbBank_GTB/API/renewinfo";

  /*查询企业信息*/
  public static final String CORQRYITF_URL = "https://gtb.cmbchina.com/CmbBank_GTB/API/corqryitf";

  /*查询企业用户信息*/
  public static final String USRQRYITF_URL = "https://gtb.cmbchina.com/CmbBank_GTB/API/usrqryitf";

  /*查询企业用户证件信息*/
  public static final String USRCTFITF_URL = "https://gtb.cmbchina.com/CmbBank_GTB/API/usrctfitf";

  /*查询企业核心客户号*/
  public static final String CLTQRYITF_URL = "https://gtb.cmbchina.com/CmbBank_GTB/API/cltqryitf";

  /*查询自然人用户信息*/
  public static final String GLBQRYITF_URL = "https://gtb.cmbchina.com/CmbBank_GTB/API/glbqryitf";

}
