package cn.wise.sc.consume.business.mapper;

import cn.wise.sc.consume.business.entity.SmsAuth;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Select;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-07-30
 */
public interface SmsAuthMapper extends BaseMapper<SmsAuth> {
	@Options(useGeneratedKeys = true, keyProperty = "id")
	@Insert("insert into sms_auth(iphone, code, type, remark, create_time) values(#{iphone}, #{code}, #{type}, #{remark} ,now())")
	Boolean save(SmsAuth smsAuth);


	@Select("select * from sms_auth login_lable  where login_lable.iphone = #{iphone} and login_lable.type = #{type} and login_lable.create_time > #{endDate} ")
	List<SmsAuth> selectList(String iphone, String type, Date endDate);
}
